renovation_core 1.2.4

Dart native
Flutter Android iOS

The missing SDK developers have been longing for to interact with Frappe/ERPNext

Getting Started #

Backend #

First you need to install renovation_core app from backend

bench get-app renovation_core https://github.com/leam-tech/renovation_core.git 

Dart/Flutter #

To get started, just import the package like:

import 'package:renovation_core/core.dart';

Auth

import 'package:renovation_core/auth.dart';

Model

import 'package:renovation_core/model.dart';

Meta

import 'package:renovation_core/meta.dart';

Permission

import 'package:renovation_core/perm.dart';

Storage

import 'package:renovation_core/storage.dart';

Translation

import 'package:renovation_core/translation.dart';

Misc

import 'package:renovation_core/misc.dart';

Backend Specific

import 'package:renovation_core/backend.dart';

Documentation #

Renovation Documentation

5
likes
80
pub points
64%
popularity

Publisher

leam.dev

The missing SDK developers have been longing for to interact with Frappe/ERPNext

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

cookie_jar, dio, dio_cookie_manager, enum_to_string, http, json_annotation, logger, meta, path, pedantic, rxdart, socket_io_client, zxcvbn

More

Packages that depend on renovation_core